package com.ruoyi.base.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 报警信息对象 base_alarm_info
 * 
 * @author zangch
 * @date 2024-12-02
 */
public class BaseAlarmInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标识 */
    @Excel(name = "标识")
    private Long objId;

    /** 母排编号 */
    @Excel(name = "母排编号")
    private Long busbarCode;

    /** 报警别名 */
    @Excel(name = "报警别名")
    private String alarmAlias;

    /** 报警内容 */
    @Excel(name = "报警内容")
    private String alarmContent;

    /** 报警类型 */
    @Excel(name = "报警类型")
    private Long alarmType;

    /** 报警阈值 */
    @Excel(name = "报警阈值")
    private BigDecimal alarmValue;

    /** 判断方式:1-大于；2-小于 */
    @Excel(name = "判断方式:1-大于；2-小于")
    private Long judgMethod;

    /** 是否启用:1-是；0-否；;0-否 */
    @Excel(name = "是否启用:1-是；0-否；;0-否")
    private Long isFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    public void setObjId(Long objId) 
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }
    public void setBusbarCode(Long busbarCode) 
    {
        this.busbarCode = busbarCode;
    }

    public Long getBusbarCode() 
    {
        return busbarCode;
    }
    public void setAlarmAlias(String alarmAlias) 
    {
        this.alarmAlias = alarmAlias;
    }

    public String getAlarmAlias() 
    {
        return alarmAlias;
    }
    public void setAlarmContent(String alarmContent) 
    {
        this.alarmContent = alarmContent;
    }

    public String getAlarmContent() 
    {
        return alarmContent;
    }
    public void setAlarmType(Long alarmType) 
    {
        this.alarmType = alarmType;
    }

    public Long getAlarmType() 
    {
        return alarmType;
    }
    public void setAlarmValue(BigDecimal alarmValue) 
    {
        this.alarmValue = alarmValue;
    }

    public BigDecimal getAlarmValue() 
    {
        return alarmValue;
    }
    public void setJudgMethod(Long judgMethod) 
    {
        this.judgMethod = judgMethod;
    }

    public Long getJudgMethod() 
    {
        return judgMethod;
    }
    public void setIsFlag(Long isFlag) 
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() 
    {
        return isFlag;
    }
    public void setCreatedBy(String createdBy) 
    {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() 
    {
        return createdBy;
    }
    public void setCreatedTime(Date createdTime) 
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() 
    {
        return createdTime;
    }
    public void setUpdatedBy(String updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setUpdatedTime(Date updatedTime) 
    {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() 
    {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("busbarCode", getBusbarCode())
            .append("alarmAlias", getAlarmAlias())
            .append("alarmContent", getAlarmContent())
            .append("alarmType", getAlarmType())
            .append("alarmValue", getAlarmValue())
            .append("judgMethod", getJudgMethod())
            .append("isFlag", getIsFlag())
            .append("createdBy", getCreatedBy())
            .append("createdTime", getCreatedTime())
            .append("updatedBy", getUpdatedBy())
            .append("updatedTime", getUpdatedTime())
            .toString();
    }
}
